%define desktop_vendor pclinuxos
%define Werror_cflags %nil

%define _requires_exceptions rpmlib(PayloadIsLzma)

Summary: Graphical frontend for APT package manager.
Name: synaptic
Version: 0.57.2
Release: %mkrel 26
License: GPLv2+
Group: System/Configuration/Packaging
Source0: http://savannah.nongnu.org/download/synaptic/synaptic-%{version}.tar.xz
Source1: synaptic.desktop
Source2: synaptic-kde.desktop
BuildRequires: %{_lib}apt-pkg0-devel
BuildRequires: rpm-devel
BuildRequires: xmlto
BuildRequires: %{_lib}glade2.0_0-devel
Patch0: synaptic-0.57-desktop.patch
Patch1: synaptic-0.57-firefox.patch
Patch2: http://apt-rpm.org/patches/synaptic-0.57.2-gcc41.patch
Patch3: http://apt-rpm.org/patches/synaptic-0.57.2-repomd-1.patch
Patch4: http://apt-rpm.org/patches/synaptic-0.57.2-showprog.patch
Patch5: http://apt-rpm.org/patches/synaptic-0.57.2-progressapi-hack.patch
Patch6: synaptic-0.57.2-gcc43.patch
Patch7: synaptic-0.57.2-libx11.patch
Patch8: synaptic-0.57.2-gcc45.patch
# Source and Patches from Vine Linux
Source100: synaptic-0.57.2-ja.po
Patch106:  synaptic-0.57.2-gcc44.patch
Patch115:  synaptic-0.57.2-default-size.patch
Patch122:  synaptic-0.57.2-fix-memory-corruption.patch
Patch123:  synaptic-0.57.2-fix-assertion-failure.patch
Patch126:  synaptic-0.57.2-fix-repository-updown.patch
Patch129:  synaptic-0.57.2-fix-crash-in-lock-package.patch

URL: http://www.nongnu.org/synaptic/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Requires(pre): apt >= 0.5.15lorg3.95
Requires(pre): apt-common >= 0.5.15lorg3.95
Requires(pre): %{_lib}apt-pkg0 >= 0.5.15lorg3.95 
Requires: gksu


%description
Synaptic is a graphical package management program for apt.
It provides the same features as the apt-get command line
utility with a GUI front-end based on Gtk+

%prep
%setup -q
%patch0 -p1 -b .dt
%patch1 -p1 -b .firefox
%patch2 -p1 -b .gcc41
%patch3 -p1 -b .repomd
%patch4 -p1 -b .showprog
%patch5 -p1 -b .progresshack
%patch6 -p1 -b .gcc43
%patch7 -p1 -b .libx11
%patch8 -p1 -b .gcc45

%patch106 -p1
%patch115 -p1
%patch122 -p1
%patch123 -p1
%patch126 -p1
%patch129 -p1

cp -f po/ja.po po/ja.po.orig
cp -f %{SOURCE100} po/ja.po

%build
%configure2_5x --with-pkg-hold --disable-dependency-tracking
make -C po update-po
%make

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}


# Remove the default menu entries and install our own
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/*
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/X11/sysconfig/synaptic.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/applications
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT%{_datadir}/applications

mkdir -p $RPM_BUILD_ROOT/%_bindir
ln -s /usr/sbin/synaptic $RPM_BUILD_ROOT/%_bindir/synaptic

# install japanese manpage
mkdir -p %{buildroot}%{_mandir}/ja/man8/
install man/synaptic.ja.8 %{buildroot}%{_mandir}/ja/man8/synaptic.8

# fixed uri of manual.
sed -i 's@file://usr@file:///usr@' %{buildroot}%{_datadir}/omf/synaptic/*.omf


%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update -q ||:

%postun
scrollkeeper-update -q ||:

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README TODO
%{_sbindir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}
%{_mandir}/man8/%{name}.8*
%{_mandir}/ja/man8/*

%changelog
* Thu Apr 16 2015 bb <bb> 0.57.2-26pclos2015
- rebuild against updated apt

* Thu Nov 14 2013 billybot <billybot> 0.57.2-25pclos2013
- fix left column default-size patch

* Wed Nov 13 2013 pinoc <vogtpet at gmail.com> 0.57.2-24pclos2013
- fixed BR for 32/64
- added Japanese language support (thanks to tomcat)
- added fixes from Vine Linux
- add build option '--with-pkg-hold'

* Mon Jun 13 2011 Texstar <texstar at gmail.com> 0.57.2-23pclos2011
- fix symlink

* Fri Jun 10 2011 Texstar <texstar at gmail.com> 0.57.2-22pclos2011
- fix rpm group
- fix desktop files

* Fri Jun 10 2011 Texstar <texstar at gmail.com> 0.57.2-21pclos2011
- update for 2011 release

